ghc-7.0.4: The GHC API

SPARC.ShortcutJump

# Documentation

data JumpDest Source

Constructors

DestBlockId BlockId |
DestImm Imm |

canShortcut :: Instr -> Maybe JumpDest Source

shortcutJump :: (BlockId -> Maybe JumpDest) -> Instr -> Instr Source

shortcutStatic :: (BlockId -> Maybe JumpDest) -> CmmStatic -> CmmStatic Source

shortBlockId :: (BlockId -> Maybe JumpDest) -> BlockId -> CLabel Source